function [] = STRAIN_CATALOG(y)

[Y,mf_NR, af_NR, m1, m2, p1, p2, a1, a2 , b, file_name, resolution] = INIT_INFO_v2 ( y );
%[q, eta, l, l_mag, Stot_mag, chi, beta_i, gamma_i, the1_i, the2_i] = PHYS_QUANT_v2(m1, m2, a1, a2, p1, p2, b);




for m = 1:numel({y})
        mkdir(y);

end

for k = 1:1:numel(m1)

	k
	% create modeBundle object
        dir = Y(k).init_info.sim_dir
	try
	psi4bun = modeBundle(dir,2:2,75);

	psi4bun_jinit = psi4bun.rotate('jinit');

	rhbun_jinit   = psi4bun_jinit.calcStrain();	

 
	%tMax = psi4bun_jinit.findtmax;
 	%tJunk = 150;
	%tAfter = 90;
	%tTransition = 100;

	%rhbun_jinit.window_ends(tMax, tJunk, tAfter, tTransition )
        rhbun_jinit.window_ends()

	clear hp_sim hx_sim t_sim;

	% Calculate for modes l=2, m=2
	hp_sim = rhbun_jinit.Real(:,5) ;
	hx_sim = rhbun_jinit.Imag(:,5) ;
	t_sim = rhbun_jinit.time;



        dir_folder = Y(k).init_info.sim_dir;
        dir_run = getname(dir_folder);
        mkdir(y, dir_run);

	clear Print_List
        % Print Matrix:
        Print_List = [t_sim, hp_sim, hx_sim];
        

	% File

	fid = fopen(fullfile(y, dir_run, strcat('Strain_jinit_l2_m2_r75_',getname(dir),'.asc')), 'w');
	% Print Command 
        %dlmwrite( fid ,Print_List,'delimiter','\t','precision',3);

        fprintf(fid, '# t_sim\t h_+\t h_x \n' );
        
        for i=1:numel(t_sim)
            fprintf(fid, '%1.16d\t %1.16d\t %1.16d\n',Print_List(i,:) );
        end
        
        fclose(fid);


	

	% PLOTS
	col1 = [168/255 , 192/255, 224/255];
	col2 = [240/255 , 202/255, 52/255];
	col3 = [150/255 , 218/255, 82/255];
	col4 = [0/255 , 25/255, 163/255];
	col5 = [201/255 , 201/255, 201/255];
	
	close all;
	plot(t_sim, hp_sim, 'color',col2 ,'linestyle', '-', 'linewidth', 1.5); hold on
	plot(t_sim, hx_sim, 'color',col4 ,'linestyle', '-', 'linewidth', 1.5); hold on
	plot(t_sim, abs(hp_sim - 1i*hx_sim), 'color',col3 ,'linestyle', '--', 'linewidth', 1.5); hold on
	box on
	legend('h_+ ', 'h_x', '|h|')
	xlabel('t/M')
	ylabel('|h| x D/M')
	title('GW Strain for (l,m) = (2,2) in J_i frame')

	KPJ_pdf_figure(gcf,'print_width',20,  'axis_font_size',24,'type',{'png',},'name',strcat('Strain_Plot_' , getname(dir)) ,'outdir', fullfile(y, dir_run))
	
	%catch
	continue
	
	end
end

end
